ChangeSet 1.1757.66.32, 2004/07/14 15:06:33-07:00, aj@net-lab.net

[PATCH] USB: usbserial/ipaq update

However, attached I provide you a patch against 2.6.7 which should add
the ASUS A620 PDA to the ipaq Kernel module.


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/serial/ipaq.c |    1 +
 drivers/usb/serial/ipaq.h |    3 +++
 2 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/ipaq.c b/drivers/usb/serial/ipaq.c
--- a/drivers/usb/serial/ipaq.c	2004-07-14 16:43:32 -07:00
+++ b/drivers/usb/serial/ipaq.c	2004-07-14 16:43:32 -07:00
@@ -129,6 +129,7 @@
 	{ USB_DEVICE(HTC_VENDOR_ID, HTC_PRODUCT_ID) },
 	{ USB_DEVICE(NEC_VENDOR_ID, NEC_PRODUCT_ID) },
 	{ USB_DEVICE(ASUS_VENDOR_ID, ASUS_A600_PRODUCT_ID) },
+	{ USB_DEVICE(ASUS_VENDOR_ID, ASUS_A620_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/ipaq.h b/drivers/usb/serial/ipaq.h
--- a/drivers/usb/serial/ipaq.h	2004-07-14 16:43:32 -07:00
+++ b/drivers/usb/serial/ipaq.h	2004-07-14 16:43:32 -07:00
@@ -85,6 +85,9 @@
 #define ASUS_VENDOR_ID		0x0b05
 #define ASUS_A600_PRODUCT_ID	0x4201
 
+#define ASUS_VENDOR_ID		0x0b05
+#define ASUS_A620_PRODUCT_ID	0x4202
+
 /*
  * Since we can't queue our bulk write urbs (don't know why - it just
  * doesn't work), we can send down only one write urb at a time. The simplistic
